︠22fc4e58-18c1-41c5-beb6-775f0124ec49︠
def synthetic_division(polynomial, x):
    value = 0
    quotient = []
    for coefficient in polynomial:
        value = value*x + coefficient
        quotient = quotient + [value]
    return quotient
︡76439605-6525-4d13-ab74-3041c6f5fbcf︡︡
︠4d5db502-b8ea-4c04-8290-8487795353b6i︠
%html
<p>Example 1&nbsp; Long Division of Polynomials</p>
<p>Divide $x^2 + 10x + 21$ by $x + 3$.</p>

︡e7128dd4-afce-4c1a-a914-ca1fa075ae86︡{"html": "<p>Example 1&nbsp; Long Division of Polynomials</p>\n<p>Divide $x^2 + 10x + 21$ by $x + 3$.</p>"}︡
︠5eb4b256-8a59-4142-88ed-ddc735fba40c︠
x = -3
quotient = []
value = 0
for coefficient in [1, 10, 21]:
    value = value*x + coefficient
    quotient = quotient + [value]
    print quotient
︡7a358418-1f44-4518-bbf4-449235c85db5︡{"stdout": "[1]\n[1, 7]\n[1, 7, 0]"}︡
︠085a907c-2864-4731-9e36-af491f2b0fb0︠
synthetic_division([1, 10, 21], -3)
︡7e5fd873-7566-4fa2-b09a-410e3c055d81︡{"stdout": "[1, 7, 0]"}︡
︠2eac81f7-4d7c-42d9-921d-f3e6b93ecfbai︠
%html
<p><a href="http://www.wolframalpha.com/input/?i=(x^2+%2B+10x+%2B+21)%2F(x+%2B+3)">http://www.wolframalpha.com/input/?i=(x^2+%2B+10x+%2B+21)%2F(x+%2B+3)</a></p>
<p>&nbsp;</p>
<p>EXAMPLE 2&nbsp; Long Division of Polynomials</p>
<p>Divide $4 - 5x - x^2 + 6x^3$ by $3x - 2$.</p>

︡07db0aa1-7c2b-4472-b322-fa62379247b5︡{"html": "<p><a href=\"http://www.wolframalpha.com/input/?i=(x^2+%2B+10x+%2B+21)%2F(x+%2B+3)\">http://www.wolframalpha.com/input/?i=(x^2+%2B+10x+%2B+21)%2F(x+%2B+3)</a></p>\n<p>&nbsp;</p>\n<p>EXAMPLE 2&nbsp; Long Division of Polynomials</p>\n<p>Divide $4 - 5x - x^2 + 6x^3$ by $3x - 2$.</p>"}︡
︠90a2fa48-80b9-4ac6-b545-df22f33f5a92︠
synthetic_division([2, -1/3, -5/3, 4/3], 2/3)
︡8899e7d3-838c-4f5e-9896-f6a4c2931591︡{"stdout": "[2, 1, -1, 2/3]"}︡
︠d61f3bab-3035-425f-a444-0195eb599c30i︠
%html
<p><a href="http://www.wolframalpha.com/input/?i=(4+-+5x+-+x^2+%2B+6x^3)%2F(3x+-+2)">http://www.wolframalpha.com/input/?i=(4+-+5x+-+x^2+%2B+6x^3)%2F(3x+-+2)</a></p>
<p>&nbsp;</p>
<p>The Division Algorithm:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</p>
<p style="padding-left: 60px;">$f(x) = q(x) \cdot d(x) + r(x)$</p>
<p style="padding-left: 60px;">$r(x)$ will always be one less degree than $d(x)$.</p>
<p style="padding-left: 60px;">$\frac{f(x)}{d(x)} = q(x) + \frac{r(x)}{d(x)}$</p>
<p>&nbsp;</p>
<p>EXAMPLE 3&nbsp; Long Division of Polynomials</p>
<p>Divide $6x^4 + 5x^3 + 3x - 5$ by $3x^2 - 2x$.</p>

︡f2f42feb-1f89-464e-8ece-da5fb5bd77b0︡{"html": "<p><a href=\"http://www.wolframalpha.com/input/?i=(4+-+5x+-+x^2+%2B+6x^3)%2F(3x+-+2)\">http://www.wolframalpha.com/input/?i=(4+-+5x+-+x^2+%2B+6x^3)%2F(3x+-+2)</a></p>\n<p>&nbsp;</p>\n<p>The Division Algorithm:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</p>\n<p style=\"padding-left: 60px;\">$f(x) = q(x) \\cdot d(x) + r(x)$</p>\n<p style=\"padding-left: 60px;\">$r(x)$ will always be one less degree than $d(x)$.</p>\n<p style=\"padding-left: 60px;\">$\\frac{f(x)}{d(x)} = q(x) + \\frac{r(x)}{d(x)}$</p>\n<p>&nbsp;</p>\n<p>EXAMPLE 3&nbsp; Long Division of Polynomials</p>\n<p>Divide $6x^4 + 5x^3 + 3x - 5$ by $3x^2 - 2x$.</p>"}︡
︠6335f14e-b7e4-43a7-a896-7cc03773d7ab︠
(6*x^4 + 5*x^3 + 3*x - 5)/(3*x^2 - 2*x)
︡c36ea683-8e9b-44d6-8b31-112391f31af9︡︡
︠4e1cd4d6-8970-46fd-88ac-1fa2e4d28e27i︠
%html
<p><a href="http://www.wolframalpha.com/input/?i=(6x^4+%2B+5x^3+%2B+3x+-+5)%2F(3x^2+-+2x)">http://www.wolframalpha.com/input/?i=(6x^4+%2B+5x^3+%2B+3x+-+5)%2F(3x^2+-+2x)</a></p>

<p>EXAMPLE 4&nbsp; Using Synthetic Division</p>
<p>Use synthetic division:&nbsp; $(5x^3 + 6x + 8) &divide; (x + 2)$.</p>

︡26dacc61-14ac-4917-a300-f47116f61f2d︡{"html": "<p><a href=\"http://www.wolframalpha.com/input/?i=(6x^4+%2B+5x^3+%2B+3x+-+5)%2F(3x^2+-+2x)\">http://www.wolframalpha.com/input/?i=(6x^4+%2B+5x^3+%2B+3x+-+5)%2F(3x^2+-+2x)</a></p>\n\n<p>EXAMPLE 4&nbsp; Using Synthetic Division</p>\n<p>Use synthetic division:&nbsp; $(5x^3 + 6x + 8) &divide; (x + 2)$.</p>"}︡
︠23740a66-3bad-4bd5-9bcc-9d78de45e527︠
synthetic_division([5, 0, 6, 8], -2)
︡0e2510bf-86ca-49bb-93e9-e960bd4e9f84︡︡
︠6029a974-fd86-4b2f-ba93-9099c6d38b52︠
value = 0
quotient = []
x = -2
︡63def779-ce2e-4bcc-ae7e-efbc3b995636︡︡
︠0ce21ad7-521a-4506-9afe-21d580abbc79︠
for coefficient in [5, 0, 6, 8]:
    value = value*x + coefficient
    quotient = quotient + [value]
quotient
︡7c20be22-3b00-4dd0-b36d-e92a5669c759︡︡
︠89848e47-710f-489d-8e09-18b17951788ai︠
%html
<p>Remainder Theorem</p>
<p style="padding-left: 30px;">Consider $\frac{f(x)}{x - c}$.</p>
<p style="padding-left: 30px;">In terms of the Division Algorithm, $f(x) = q(x) \cdot (x - c) + r(x)$.</p>
<p style="padding-left: 30px;">Since $r(x)$ will be one less degree than $(x - c)$, $r(x)$ is just some constant, $r$:&nbsp; $f(x) = q(x) \cdot (x - c) + r$</p>
<p style="padding-left: 30px;">If we evaluate $f(c)$, $f(c) = q(c) \cdot (c - c) + r$ = $r$.</p>
<p style="padding-left: 30px;">Therefore, $f(c) = r$.</p>
<p style="padding-left: 30px;">&nbsp;</p>
<p>EXAMPLE 5&nbsp; Using the Remainder Theorem to Evaluate a Polynomial Function</p>
<p>Use the Remainder Theorem to find $f(2)$ where $f(x) = x^3 - 4x^2 + 5x + 3$.</p>

︡46336c3a-8c42-459b-9ce5-c8b40090bbd7︡{"html": "<p>Remainder Theorem</p>\n<p style=\"padding-left: 30px;\">Consider $\\frac{f(x)}{x - c}$.</p>\n<p style=\"padding-left: 30px;\">In terms of the Division Algorithm, $f(x) = q(x) \\cdot (x - c) + r(x)$.</p>\n<p style=\"padding-left: 30px;\">Since $r(x)$ will be one less degree than $(x - c)$, $r(x)$ is just some constant, $r$:&nbsp; $f(x) = q(x) \\cdot (x - c) + r$</p>\n<p style=\"padding-left: 30px;\">If we evaluate $f(c)$, $f(c) = q(c) \\cdot (c - c) + r$ = $r$.</p>\n<p style=\"padding-left: 30px;\">Therefore, $f(c) = r$.</p>\n<p style=\"padding-left: 30px;\">&nbsp;</p>\n<p>EXAMPLE 5&nbsp; Using the Remainder Theorem to Evaluate a Polynomial Function</p>\n<p>Use the Remainder Theorem to find $f(2)$ where $f(x) = x^3 - 4x^2 + 5x + 3$.</p>"}︡
︠670a15de-1755-4830-824f-066e0ca2cf75︠
x = 2
quotient = []
value = 0
︡11406104-8939-4413-a73a-7a8de415f444︡︡
︠18e3860e-d6fd-4d26-81f7-346789f5a947︠
for coefficient in [1, -4, 5, 3]:
    value = value*x + coefficient
    quotient = quotient + [value]
quotient
︡0b38339c-a031-4c24-a61c-96835338b82b︡︡
︠e2dad106-d761-4f1a-9f0d-985c5089c3cd︠
synthetic_division([1, -4, 5, 3], 2)
︡a36de308-35a4-42d5-b4bd-46292b358a69︡{"stderr": "Traceback (most recent call last):\n  File \"<stdin>\", line 1, in <module>\n  File \"_sage_input_2.py\", line 7, in <module>\n    exec compile(ur'synthetic_division([_sage_const_1 , -_sage_const_4 , _sage_const_5 , _sage_const_3 ], _sage_const_2 )' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \nNameError: name 'synthetic_division' is not defined"}︡
︠45dd3dc4-7744-4b4c-898a-b844522f03bf︠
f(x) = x^3 - 4*x^2 + 5*x + 3
︡0aa25e9c-636c-4602-b7f3-540bed5b3129︡︡
︠87c8bae9-51b8-4589-bbb5-16509fc24df5︠
f(2)
︡7a3aee2a-d4b9-4082-8c5d-b86942c93055︡︡
︠c49fc7cf-17f5-44d2-990c-0a4b9a0be046i︠
%html
<p>Factor Theorem</p>
<p style="padding-left: 60px;">If $f(x)$ is a polynomial:</p>
<p style="padding-left: 60px;">If $f(c) = 0$, then $(x - c)$ is a factor of $f(x)$, and</p>
<p style="padding-left: 60px;">if $(x - c)$ is a factor of $f(x)$, then $f(c) = 0$.</p>

<p>EXAMPLE 6&nbsp; Using the Factor Theorem</p>
<p>$f(x) = 2x^3 - 3x^2 - 11x + 6$.&nbsp; Solve $f(x) = 0$ given that $f(3) = 0$.</p>

︡b6e0a12c-c9a2-4c6e-8d8a-79cb817cf788︡{"html": "<p>Factor Theorem</p>\n<p style=\"padding-left: 60px;\">If $f(x)$ is a polynomial:</p>\n<p style=\"padding-left: 60px;\">If $f(c) = 0$, then $(x - c)$ is a factor of $f(x)$, and</p>\n<p style=\"padding-left: 60px;\">if $(x - c)$ is a factor of $f(x)$, then $f(c) = 0$.</p>\n\n<p>EXAMPLE 6&nbsp; Using the Factor Theorem</p>\n<p>$f(x) = 2x^3 - 3x^2 - 11x + 6$.&nbsp; Solve $f(x) = 0$ given that $f(3) = 0$.</p>"}︡
︠e68e501c-4636-409b-a932-8d05ca682808︠
x = 3
value = 0
quotient = []
︡7cbe4177-b6a6-44e7-9a30-9f0317e6d3fe︡︡
︠afef6166-44c2-4a61-9434-66e766fa3386︠
for coefficient in [2, -3, -11, 6]:
    value = value*x + coefficient
    quotient = quotient + [value]
quotient
︡389143b4-beb6-40d0-9500-94b04040626f︡︡
︠61b8ad4c-b17f-485a-a381-f2965c30140d︠
x = 1/2
value = 0
quotient = []

for coefficient in [2, 3, -2]:
    value = value*x + coefficient
    quotient = quotient + [value]
quotient
︡1a409621-812b-4aee-9bf4-877b52ce8247︡︡
︠0f675ec6-a290-46fc-a581-7a8da0a14536︠
f(x) = 2*x^3 - 3*x^2 - 11*x + 6
︡9c3ca19b-627d-470b-9a5e-fb7cf5410ba9︡︡
︠aa412a51-01a4-4e82-92ce-64552dd2e6c1︠
factor(f)
︡6155d376-755f-4a85-9bcb-0df7a3c8b26c︡︡
︠26ba223f-ef4a-4c56-83f5-70a758a027d1︠
solve(f == 0, x)
︡253e1435-9b3b-45cc-9048-3e1fb9664584︡︡
︠2bb83204-5fca-4d7e-81ac-38e8d8a3f518︠
plot(f, -3, 4) + points([(-2, 0), (1/2, 0), (3, 0)], color = 'red')
︡94b78b0b-81fb-4cbc-973f-d1abe648420c︡︡
